#!/usr/bin/gnuplot

set colors classic
set term x11

H(a,a_c,C)= log10(abs(a-a_c)/C)/ 0.2

set xl "a_p [AU]"
set yl "H [mag]"

C = NaN
load "<head -14 config.py"

# Nesvorny etal. (2015); Eq. (1)
age = 1. * (C/1.e-4) * (a_c/2.5)**2 * (rho/2.5) * (0.2/pV)**(1./2.)
print "age = ", age, " Gy" 

#load "family.rng"
#set xr [a1:a2]
#set yr [e1:e2]
#set zr [i1:i2]
#H1=5
#set yr [H1-1:H2+1]
set yr [6:20]

set ticslevel 0
set key bottom
set view 90,0
set samples 1000

am = 1.5236633966611037
aj = 5.2031303413943251
r(a,i,j) = a*(1.0*i/j)**(-2./3.)
tmp=2.15; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0; set label "{/Symbol n}_6" at tmp,graph 1.01 center font "Helvetica,10"
i= 1; j=2; tmp=r(am,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("M%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i= 4; j=1; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i=11; j=3; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i= 7; j=2; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i=10; j=3; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i=13; j=4; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i= 3; j=1; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i=14; j=5; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i=11; j=4; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i= 8; j=3; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i=13; j=5; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i= 5; j=2; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i=17; j=7; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i=12; j=5; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i= 7; j=3; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i=16; j=7; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i= 9; j=4; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i=11; j=5; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i=13; j=6; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i=15; j=7; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i=17; j=8; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i=19; j=9; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
i= 2; j=1; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label sprintf("%d:%d",i,j) at tmp,graph 1.01 center font "Helvetica,10"
tmp=2.2157; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label "4-1-1" at tmp,graph 1.01 center font "Helvetica,10"
tmp=2.3977; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label "4-2-1" at tmp,graph 1.01 center font "Helvetica,10"
tmp=2.4476; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label "7-2-2" at tmp,graph 1.01 center font "Helvetica,10"
tmp=2.5599; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label "7-3-2" at tmp,graph 1.01 center font "Helvetica,10"
tmp=2.6155; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label "2+2-1" at tmp,graph 1.01 center font "Helvetica,10"
tmp=2.6190; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label "6-1-2" at tmp,graph 1.01 center font "Helvetica,10"
tmp=2.6230; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label "4-3-1" at tmp,graph 1.01 center font "Helvetica,10"
tmp=2.6857; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label "7-4-2" at tmp,graph 1.01 center font "Helvetica,10"
tmp=2.7525; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label "3-1-1" at tmp,graph 1.01 center font "Helvetica,10"
tmp=2.9095; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label "4-4-1" at tmp,graph 1.01 center font "Helvetica,10"
tmp=2.9860; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label "5-1-2" at tmp,graph 1.01 right  font "Helvetica,10"
tmp=3.0790; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label "3-2-1" at tmp,graph 1.01 center font "Helvetica,10"
tmp=3.1385; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label "6+1-3" at tmp,graph 1.01 center font "Helvetica,10"
tmp=3.1418; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label "8-4-3" at tmp,graph 1.01 center font "Helvetica,10"
tmp=3.1708; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label "3+3-2" at tmp,graph 1.01 center font "Helvetica,10"
tmp=3.1738; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label "5-2-2" at tmp,graph 1.01 center font "Helvetica,10"
tmp=3.2080; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front; set label "7-2-3" at tmp,graph 1.01 center font "Helvetica,10"

f_(H) = 0.66 + 1.5*(H-20.)/(6.-20.)
g_(H) = 1.*f_(H)

p \
  "halo.list"                         u 23:4:(f_($35)) w p lc 'gray'  pt 6 ps variable t "halo",\
  "family.list"                       u 23:4:(f_($35)) w p lc 'black' pt 6 ps variable t "family",\
  "interlopers.out"                   u 23:4 w p lt 2 lw 2 pt 6 ps 2 t "interlopers",\
  H(x,a_c,C)       t sprintf("C*1e-4 = %2.e", C/1.e-4) lc 'red' lw 3,\
  H(x,a_c,0.01e-4) t "0.01" lt 1,\
  H(x,a_c,0.02e-4) t "0.02" lt 2,\
  H(x,a_c,0.05e-4) t "0.05" lt 3,\
  H(x,a_c,0.1e-4 ) t "0.1"  lt 4,\
  H(x,a_c,0.2e-4 ) t "0.2"  lt 5,\
  H(x,a_c,0.5e-4 ) t "0.5"  lt 6,\
  H(x,a_c,1.0e-4 ) t "1.0"  lt 7,\
  H(x,a_c,2.0e-4 ) t "2.0"  lt 8,\
  H(x,a_c,5.0e-4 ) t "5.0"  lt 9,\
  "family.label"                 u 23:4:34 not w labels center,\
  "182.dat"                      u 23:4:34 not w labels center,\
  "<awk '($4 < 12)' family.list" u 23:4:34 not w labels center,\
  "<awk '($4 < 12)' halo.list"   u 23:4:34 not w labels center

pa -1

set term post eps enh color solid "Helvetica" 18 size 16cm,16cm
set out "aH_C.eps"
rep

q


